Subject: bash-2.x
From: [email-masked] (Jan Nieuwenhuizen)

23 Jul 1998 14:36:02 -0700
Message-ID: <[email-masked]>
To: [email-masked]
Cc: "ir. Wendy" <[email-masked]>, [email-masked]

Hi,

After all this trouble with bash, i downloaded bash-docs-2.02,
and it says:

       for name [ in word; ] do list ; done
              The list of words following in is expanded,  gener-
              ating a list of items.  The variable name is set to
              each element of this list in turn, and list is exe-
              cuted  each  time.   If the in word is omitted, the
              for command executes list once for each  positional
              parameter  that is set (see PARAMETERS below).  The
              return status is the exit status of the  last  com-
              mand  that executes.  If the expansion of the items
              following in results in an empty list, no  commands
              are executed, and the return status is 0.

Which means that empy word-list is valid, and shouldn't trigger
an error.

    10:55:25 mub ~/ftp/gnu/bash-2.02$ for i in ;do echo $i; done
    bash: syntax error near unexpected token `;d'

It looks like a bug in bash-2.02(-release)

I also saw that bash-2.x is still in beta, internally the versions are 
called 2.02-beta.
What about 'if you choose to use beta software, you suffer?'  And why
is cygnus distributing a beta shell with gnu-windows?

Jan.

Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond - The Music Typesetter
http://www.digicash.com/~jan         | http://www.digicash.com/~jan/lilypond

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".